package com.kiuplus.configuration.logic.domain;

import java.util.List;

import com.kiuplus.logic.model.Metrics;

public interface MetricsDAO {

	List<Metrics> metricsGetAll(int idFactor);

	List<Metrics> metricsFindByName(String name);

	
	/**
	 * @param id
	 * @return La metrica identificada con el id, sin los metodos
	 */
	Metrics metricsFindById(int id);
	
	
	/**
	 * @param id
	 * @return La metrica identficada con id, con los metodos
	 */
	Metrics metricsFindFullById(int id);
	
	void metricsAdd(Metrics metrics);

	void metricsUpdate(Metrics metrics);

	void metricsDelete(Metrics metrics);

}
