package KiuPlusLogicExecution.KiuPlusLogicExecution;

import java.util.*;
import com.kiuplus.logic.extractors.*;
import com.kiuplus.logic.objects.*;

public class DataAccessBORRAR {
	//Atributos
	private String dataBaseConnectionString;
	private String dataBaseUser;
	private String dataBasePassword;
	private Extractor dataBase;
	
	//Constructor
	public DataAccessBORRAR(String server, String user, String password){
		this.dataBaseConnectionString = server;
		this.dataBaseUser = user;
		this.dataBasePassword = password;
	}
	
	// Setter y Getters
	public String getDataBaseConnectionString() {
		return dataBaseConnectionString;
	}

	public void setDataBaseConnectionString(String dataBaseConnectionString) {
		this.dataBaseConnectionString = dataBaseConnectionString;
	}

	public String getDataBaseUser() {
		return dataBaseUser;
	}

	public void setDataBaseUser(String dataBaseUser) {
		this.dataBaseUser = dataBaseUser;
	}

	public String getDataBasePassword() {
		return dataBasePassword;
	}

	public void setDataBasePassword(String dataBasePassword) {
		this.dataBasePassword = dataBasePassword;
	}

	public Extractor getDataBase() {
		return dataBase;
	}

	public void setDataBase(Extractor dataBase) {
		this.dataBase = dataBase;
	}

	
	//Metodos
	public void connect (){
		try{
			this.dataBase.Connect();
		}
		catch (Exception ex){
			//TODO
		}
	}
	
	public List<GenericObject> getPKandAttributsList(String schemaName, Schema schemaToCopy){
		return new ArrayList<GenericObject>();
	}
	
	public List<GenericObject> getValues(String tableName, List<String> attributeStringList){
		return new ArrayList<GenericObject>();
	}

	public void createDataTable(String tableName, List<GenericObject> attributeList){}
	
	public void createResultTable(int imId, String resultType){}
	
	public void saveResult(int imId, int resultId, Object result){}
	
	public void save(List<String> attributeStringList, GenericObject tuple, String tableName){}
	
	public List<String> getAttributeStringList (String tableName, List<GenericObject> attributeList){
		List<String> result = new ArrayList<String>();
		attributeList.forEach((temp) -> {
			if (temp.getProperty("TABLE_NAME") == tableName){
				result.add(temp.getProperty("COLUMN_NAME"));
			}
		});
		return result;
	}
	
	public void disconnect (){
		try{
			this.dataBase.Disconnect();
		}
		catch (Exception ex){
			//TODO
		}
	}
	
}
