/**
 * 
 */
function ComunicationHandler () {
	
	this.GetRandomNumber = function (success_callback,error_callback) {
        $.ajax({
            type: 'GET',
            url: '/GetRandomNumber.html',
            success: function (data) {
                success_callback(data);
            },
            error: function (response, error, errorThrown) {
                error_callback(response.responseText);
            },
            cache: false
        });
	}

			
	this.getMetrics = function (val, success_callback,error_callback) {
        $.ajax({
            type: 'GET',
            url: 'getMetrics',
            data: {factor:val},
            contentType: 'application/json',
            dataType: 'json',
            success: function (data) {
                success_callback(data);
            },
            error: function (response, error, errorThrown) {
                error_callback(response.responseText);
            },
            cache: false
        });
	}
	
	
	this.getFactors = function(val, success_callback, error_callback) {
	    $.ajax({
	        type: 'GET',
	        url: 'getFactors',
	        data: {dimension:val},
	        contentType: 'application/json',
	        dataType: 'json',
	        success: function (data) {
	            success_callback(data);
	        },
	        error: function (response, error, errorThrown) {
	            error_callback(response.responseText);
	        },
	        cache: false
	    });
	}
	
	
	this.getWsOperations = function(success_callback, error_callback) {
	    $.ajax({
	        type: 'GET',
	        url: 'getWsOperations',
	        data: {
                url: $("#txtUrl").val()
            },
	        contentType: 'application/json',
	        dataType: 'json',
	        success: function (data) {
	            success_callback(data);
	        },
	        error: function (response, error, errorThrown) {
	            error_callback(response.responseText);
	        },
	        cache: false
	    });
	}
}


