package com.kiupluswebapp.controller;

import java.util.Date;
import java.util.Random;

import org.json.simple.JSONObject;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.servlet.ModelAndView;

@Controller
public class KiuPlusWebAppAjaxJQuery {

	@RequestMapping("/ajax")
    public ModelAndView helloAjaxTest() {
        return new ModelAndView("ajax", "message", "Spring MVC with Ajax and JQuery Demo..");
    }
	
	
	@RequestMapping(value = "/GetRandomNumber", method = RequestMethod.GET)
    public @ResponseBody
    String GetRandomNumber() {
 
        Random rand = new Random();
        float r = rand.nextFloat() * 100;
        JSONObject result = new JSONObject();
        result.put("Number", r);
        result.put("Date", new Date().toString());
        //String result = "<br>Next Random # is <b>" + r + "</b>. Generated on <b>" + new Date().toString() + "</b>";
        System.out.println("Debug Message from KiuPlusWebAppAjaxJQuery Controller.." + new Date().toString());
        
        return result.toString();
    }
}
