package com.kiupluswebapp.model;

import java.util.List;

import org.hibernate.validator.constraints.NotBlank;


public class Metrics {

	public enum EnumGranularity{		
		cell,
		cellSet, 
		column,
		comlumSet,
		table,
		dataBase
	}
	
	private int id;
	
	@NotBlank
	private String name;
	
	private EnumGranularity granularity;
	
	private List<Method> methods;
	
	
	public int getId() {
		return id;
	}
	
	public void setId(int id) {
		this.id = id;
	}
	
	public String getName() {
		return name;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public EnumGranularity getGranularity() {
		return granularity;
	}
	
	public void setGranularity(EnumGranularity granularity) {
		this.granularity = granularity;
	}
	public List<Method> getMethods() {
		return methods;
	}
	public void setMethods(List<Method> methods) {
		this.methods = methods;
	}
	
	public Metrics(int id, String name) {
		this.id = id;
		this.name = name;
	}
	
}
