package com.kiupluswebapp.model;

import java.util.List;

import org.hibernate.validator.constraints.NotBlank;

public class Operation {

	
	private int id;
	
	@NotBlank
	private String name;
	
	private String dataTypeReturn;
	
	private boolean connectToBD;

	private List<Parameter> parameters;
	
	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDataTypeReturn() {
		return dataTypeReturn;
	}

	public void setDataTypeReturn(String dataTypeReturn) {
		this.dataTypeReturn = dataTypeReturn;
	}

	public boolean isConnectToBD() {
		return connectToBD;
	}

	public void setConnectToBD(boolean connectToBD) {
		this.connectToBD = connectToBD;
	}
	
	
	
	public List<Parameter> getParameters() {
		return parameters;
	}

	public void setParameters(List<Parameter> parameters) {
		this.parameters = parameters;
	}

	public Operation(){
		
	}

	public Operation(String name) {
		this.name =name;
	}
	
}
