/**
 * 
 */
var Main = new Main();
var GraphicHandler = new GraphicHandler();
var ComunicationHandler = new ComunicationHandler();
var UsersRequestsHandler = new UsersRequestsHandler();

function Main() {
	this.startApplication = function() {
	}
}

function redirectHref(url) {

	if (url != undefined && url != '#' && url.indexOf("#mnu") != -1) {

		// Saco los caracters #mnu
		url = url.substring(4)

		var indexParameters = url.indexOf('?');

		// Si tiene parametros se arma la url con el html en el medio sino se
		// agrega al final.
		if (indexParameters != -1) {
			// Obtengo la direccion
			var url1 = url.substring(0, indexParameters)
			// Obtengo los parametros
			var url2 = url.substring(indexParameters, url.length)

			// Agrego el html porque tiene el href se redirecciona a otra pagina
			url = url1 + '.html' + url2;
		} else {
			url += '.html';
		}

		// Cargo el iframe con la pagina indicada
		$("#iframe").attr("src", url);
	}
}

function formatTable(table) {
	$('#' + table).DataTable({
		// "jQueryUI" : true,
		// "pagingType" : "full_numbers",//pone previus y next
		"pagingType" : "simple_numbers",
		"lengthMenu" : [ [ 5, 10, 50, -1 ], [ 5, 10, 50, "All" ] ]
	/* few more options are available to use */
	});
}

// Establece la url a invocar si el usuario selecciona "ok"
function setUrlOkModal(url, element, nameElement) {
	$('#aOkDelete').prop("href", url);
	$('#divDescription').empty();
	$('#divDescription').append("Are you sure you want to delete " + element + " " + nameElement + "?");
}

function menuSideReLoadConfiguration(type, id) {
	var div = window.parent.$('#divMenuSide');
	div.load('configurationMenuSide?type=' + type + "&id=" + id);
}

// Abre el menu lateral en el elemento que corresponde a la pantalla show que se
// esta mostrando
function menuSideConfigurationOpen(idDimension, idFactor, idMetrics, idMethod, type) {

	// Los ids de los elementos que se muestran se guardan en el menu ocultos
	// var idDimension = window.parent.$('#dimensionId').text();
	// var idFactor = window.parent.$('#factorId').text();
	// var idMetrics = window.parent.$('#metricsId').text();

	$('#ulFactors' + idDimension).addClass("collapse in");
	$('#ulMetrics' + idFactor).addClass("collapse in");
	$('#ulMethod' + idMetrics).addClass("collapse in");

	var element;

	if (type == "dimension") {
		element = $('#dimension' + idDimension);
	}

	if (type == "factor") {
		element = $('#factor' + idFactor);
	}

	if (type == "metrics") {
		element = $('#metrics' + idMetrics);0
	}

	if (type == "method") {
		element = $('#method' + idMethod);
	}

	if (element != undefined) {
		element.css("color", "white");
		element.css("border-left", "5px solid #9ebe8b");
		element.css("border-radius", "0px");
		element.css("font-weight", "bolder");
		element.css("padding-left", "5px");
	}
}

function menuSideReLoadQualityModel(idDataModel, type, idElement) {

	var div = window.parent.$('#divMenuSide');

	div.load('qualityModelMenuSide?idDataModel=' + idDataModel + "&type=" + type + "&idElement=" + idElement);
	div.css('visibility', 'visible');

}

// Abre el menu lateral en el elemento que corresponde a la pantalla show que se
// esta mostrando
function menuSideQualityModelOpen(type, idElement) {

	if (type == "Aggregation") {
		$('#ulAggregations').addClass("collapse in");
		this.menuSideQualityModelOpenClass('#aggregation' + idElement);
	}
	if (type == "InstancedMetric") {
		// Method
		var element = $('#instancedMetric' + idElement);
		this.menuSideQualityModelOpenClass(element);
		for (var i = 0; i < 6; ++i) {
			element = element.parent().parent();
			element.addClass("collapse in");
		}

	}
}

function menuSideQualityModelOpenClass(element) {
	element.css("color", "white");
	element.css("border-left", "5px solid #9ebe8b");
	element.css("border-radius", "0px");
	element.css("font-weight", "bolder");
	element.css("padding-left", "5px");
}
// **************Excecute******//////

// function dataModelExecuteChek(instancedMetricsIds, agregationsIds) {
// for (var i = 0; i < instancedMetricsIds.length; ++i) {
// $("#chkInstancedMetric" + instancedMetricsIds[i]).prop('checked', true);
// }
//
// for (var i = 0; i < agregationsIds.length; ++i) {
// $("#chkAggregation" + agregationsIds[i]).prop('checked', true);
// }
// }
//
// function dataModelExecuteInstancedMetricsChek(checked) {
// $("[id*=chkInstancedMetric]").prop('checked',
// $("#chkIMSelected").is(":checked"));
//
// }
//
// function dataModelExecuteAggregationsCheck(checked) {
//
// $("[id*=chkAggregation]").prop('checked', $("#chkASelected").is(":checked"));
//
// }
