package com.kiuplus.logic.domain;

import org.hibernate.SessionFactory;
import org.hibernate.cfg.Configuration;



public class HibernateUtils {


	private static final SessionFactory sessionFactory;
	
    static {
        try {
        
        	Configuration configuration = new Configuration().configure("/com/kiuplus/logic/resource/hibernate.cfg.xml");
//        	StandardServiceRegistryBuilder builder = new StandardServiceRegistryBuilder().
//        	applySettings(configuration.getProperties());
        	sessionFactory = configuration.buildSessionFactory();
        	
//            sessionFactory = new Configuration()
//                    .configure("/com/kiuplus/logic/resource/hibernate.cfg.xml").buildSessionFactory();
        } catch (Throwable ex) {
            throw new ExceptionInInitializerError(ex);
        }
    }

    
	public static SessionFactory getSessionFactory() {
		return sessionFactory;
	}
}
