package com.kiuplus.logic.extractors;

import java.sql.DriverManager;

public class PostgreSQL extends Extractor { 
    
    public PostgreSQL(String server, String user, String password){
    	super(user, password, server);
    }
    
    public void Connect() throws Exception{
        try{
        	//Registrar el driver
            Class.forName("org.postgresql.Driver");           
            //Establecer la conexion con el servidor
            super.setConnection(DriverManager.getConnection(super.getServer(), super.getUser(), super.getPassword()));          
        }catch (Exception ex){
            throw ex;
        }
    }

}