package com.kiuplus.logic.objects;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class GenericObject {

	    private Map<String, String> properties = new HashMap<String, String>(); //TO DO: CAMBIAR A object y evaluar
	    
	    public GenericObject(){}
	    
	    public GenericObject(String key, String value){
	    	this.properties.put(key, value);
	    }
	    
	    
	    public String getProperty(String key) {
	        return this.properties.get(key);
	    }

	    public void setProperty(String key, String value) {
	        this.properties.put(key, value);
	    }
	    
	    public Map<String, String> getProperties() {
	        return this.properties;
	    }
	    
	    public boolean containsProperty(String key){
	    	return this.properties.containsKey(key);
	    }
	    
	    public void addProperties(List<GenericObject> genericObjectList){
	    	genericObjectList.forEach(go -> {
	    		this.properties.putAll(go.getProperties());
	    	});
	    }
	    
	    public String remove(String key){
	    	return this.properties.remove(key);
	    }
	    
}
