package com.kiuplus.configuration.logic.domain;

import java.util.List;

import com.kiuplus.logic.model.Factor;

public interface FactorsDAO {

	List<Factor> factorGetAll(int idDimension);

	List<Factor> factorFindByName(String name);

	
	/**
	 * @param id
	 * @return El factor identificado con el id, sin las metricas
	 */
	Factor factorFindById(int id);
	
	
	/**
	 * @param id
	 * @return El factor identficado con id, con las metricas
	 */
	Factor factorFindFullById(int id);
	
	void factorAdd(Factor factor);

	void factorUpdate(Factor factor);

	void factorDelete(Factor factor);

}
