package com.kiuplus.webservices.test;

import static org.junit.Assert.assertEquals;

import java.util.List;

import org.junit.Test;

import com.kiuplus.logic.model.Operation;
import com.kiuplus.webservices.dataquality.WebServiceServiceImpl;

public class WebServiceDQTest {

	


	@Test
	public void testOperationGetPredict8V2() {
		WebServiceServiceImpl ws = new WebServiceServiceImpl();
		try {
			List<Operation> operations = ws.operationsGet("http://www.thomas-bayer.com/axis2/services/BLZService?wsdl");
			assertEquals(2, operations.size());
			for (Operation o : operations) {
				if (o.getName().equals("GetWeather")) {
					assertEquals(2, o.getParameters().size());
				}
				if (o.getName().equals("GetCitiesByCountry")) {
					assertEquals(1, o.getParameters().size());
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}

	}

//Web services de prueba
	// http://www.thomas-bayer.com/axis2/services/BLZService?wsdl;

}
