
package com.kiuplus.qualityModel.logic.domain;

import java.util.List;
import java.util.Map;

import com.kiuplus.logic.model.ResultGroup;

import com.kiuplus.logic.exception.ExceptionKiuPlus;
import com.kiuplus.logic.model.InstancedMetric;
import com.kiuplus.logic.objects.GenericObject;

public interface ExecuteServiceDAO {

	public void executeMetrics (List<InstancedMetric> imList, boolean reloadData) throws Exception;
	
	public Map<Integer, String> executeAggregations (List<ResultGroup> aggList, boolean deleteIMResults) throws Exception;
	
	public List<GenericObject> getMetricResult(InstancedMetric im) throws ExceptionKiuPlus, Exception;
	
	public List<GenericObject> getAggregationResult(ResultGroup agg) throws ExceptionKiuPlus, Exception;

}
