/**
 **/

function GraphicHandler() {

	this.ShowResult = function(data) {
		var obj = JSON.parse(data);
		$('#result').html(
				"<br>Next Random # is <b>" + obj.Number
						+ "</b>. Generated on <b>" + obj.Date + "</b>");
	}

	this.ShowError = function(error_msg) {
		alert(error_msg);
	}

	this.listMetrics = function(data) {
		console.log(JSON.stringify(data));
		$('#metrics').empty();
		$('#metrics').append("<option value= -1 \> ... </option>");
		for (var i = 0, len = data.length; i < len; ++i) {
			var metrics = data[i];
			$('#metrics').append(
					"<option value=\"" + metrics.id + "\">" + metrics.name
							+ "</option>");
		}
	}
	
	this.listFactors = function(data) {
		console.log(JSON.stringify(data));
		$('#factors').empty();
		$('#factors').append("<option value= -1 \> ... </option>");
		for (var i = 0, len = data.length; i < len; ++i) {
			var factor = data[i];
			$('#factors').append(
					"<option value=\"" + factor.id + "\">" + factor.name
							+ "</option>");
		}
		
		$('#metrics').empty();
		$('#metrics').append("<option value= -1 \> ... </option>");
	}

	
	this.wsOperationsList= function(data) {
		console.log(JSON.stringify(data));
		$('#cboWsOperations').empty();
		$('#cboWsOperations').append("<option value= -1 \> ... </option>");
		for (var i = 0, len = data.length; i < len; ++i) {
			var operation = data[i];
			$('#cboWsOperations').append(
					"<option value=\"" + i + "\">" + operation.name
							+ "</option>");
		}
	}
};

