package com.kiupluswebapp.model;

import java.util.List;

import org.hibernate.validator.constraints.NotBlank;

public class Dimension {

	private int id;
	
	@NotBlank
	private String name;
	
	private List<Factor> factors;

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<Factor> getFactors() {
		return factors;
	}

	public void setFactors(List<Factor> factors) {
		this.factors = factors;
	}

	public Dimension() {
	}

	public Dimension(int id, String name) {
		this.id = id;
		this.name = name;
	}
	
	
}
