package com.project.kiuplus;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;
import org.springframework.context.support.PropertySourcesPlaceholderConfigurer;
import org.springframework.core.env.Environment;

@Configuration
@PropertySource("file:${CONF_DIR}/kiuplus.properties")
public class KiuplusConfig {
    @Autowired
    Environment env;

    @Bean
    public static PropertySourcesPlaceholderConfigurer kiuplusConfig() {
        return new PropertySourcesPlaceholderConfigurer();
    }
}