<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>

<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<!DOCTYPE html>

<html lang="en">

<title>Dimension</title>

<head>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>


<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="resources/css/kiuPlusCss.css">

<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

<link rel="stylesheet" href="resources/css/dataTables.bootstrap.min.css">
<script src="resources/js/jquery.dataTables.min.js"></script>
<script src="resources/js/dataTables.bootstrap.min.js"></script>


<script src="resources/GraphicHandler.js" /></script>
<script src="resources/UsersRequestsHandler.js"></script>
<script src="resources/ComunicationHandler.js" type="text/javascript"></script>
<script src="resources/Main.js" type="text/javascript"></script>

<script type="text/javascript">
$(document).ready(function() {
	menuSideReLoadConfiguration("dimension", ${dimension.id});
});
</script>
</head>


<body class="bodyCss">

	<div>
		<c:if test="${error != null }">
			<div class="alert alert-danger">${error}</div>
		</c:if>
		<form:form  method="POST" commandName='dimension'
			action="${pageContext.request.contextPath}/configurationCreateOrEditDimension.html">
			<div class="col-md-6">
				<c:choose>
					<c:when test="${dimension.id == 0}">
						<h3>Create Dimension</h3>
					</c:when>
					<c:when test="${dimension.id != 0}">
						<h3>Edit Dimension</h3>
					</c:when>
				</c:choose>
			</div>
			<div class="col-md-12">
				<hr>
			</div>
			<div class="col-md-10 col-md-offset-1">

				<div class="form-group row">
					<label class="col-md-2 col-form-label">Name* </label>
					<div class="col-md-5">
						<form:input path="name" type="text" class="form-control" maxlength="45" />
					</div>
					<form:errors path="name" cssClass="alert alertValidation alert-danger col-md-5" element="div" />
				</div>
				<br>
				<div class="row form-actions col-md-12" align="center">
					<button type="submit" class="btn btn-success">
						<span class="glyphicon glyphicon-ok"></span>
						Save
					</button>
				</div>
			</div>
		</form:form>

	</div>

</body>
</html>