<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>

<!DOCTYPE html>

<html lang="en">
<head>

<script type="text/javascript">

$(document).on('load', function() {
	$(".loader").fadeOut("slow");	
});	
	

	
</script>

<title>Excecute Composed IM</title>
</head>
<body class="bodyCss">
	<div id="loader" class="loader" style="display: none;"></div>
	<div>
		<fieldset>
			<c:if test="${error != null }">
				<div class="alert alert-danger">${error}</div>
			</c:if>
			<div class="form-group row">
				<div class="col-md-12">
					<hr>
				</div>
				<div>
					<div>
						<label class="col-md-12">Composed IM </label>
					</div>
					<div class="control-label col-md-10 col-md-offset-1" style="text-align: left;">
						<span> Select the composed instanced metrics to be evaluated</span>
						<br> <br>
						<div id="divError" class="alert alertValidation alert-danger" style="display: none;"></div>
					</div>
					<br>
					<div class="control-label col-md-10 col-md-offset-1" style="text-align: left;">

						<div class="col-md-10">
							<div class="panel panel-default center-block ">
								<table id="dtComposedIM" class="table table-striped ">
									<thead>
										<tr>
											<th class="col-md-4">Composed IM</th>
											<th class="col-md-3">End granularity</th>
											<th class="col-md-4">Instanced Metrics</th>
											<th class="col-md-1 text-center2">Execute</th>
										</tr>
									</thead>
									<tbody id="tableIMBody">
										<c:forEach var="composedIM" items="${composedIMs}" varStatus="status">
											<tr>

												<td>${composedIM.name}</td>
												<td>${composedIM.granularity}</td>
												<td>
													<c:forEach var="parameterValue" items="${composedIM.parameterValues}"
														varStatus="status">
														<c:if test="${parameterValue.parameter.parameterType == 'ATTRIBUTE'}">
															${parameterValue.instancedMetric.name}
															<br>
														</c:if>
													</c:forEach>
												</td>
												<td class="text-center">
													<input id="chkComposedIMIds${composedIM.id}" type="checkbox" name="composedIMIds"
														value="${composedIM.id}" 
														<c:if test="${not composedIM.instancedMetricsExecuted}"> disabled
														title="First execute the instanced metrics."
														</c:if> />

												</td>
											</tr>
										</c:forEach>
									</tbody>
								</table>
							</div>

							<hr>

						</div>
					</div>
					<br>

				</div>
				<div class="row form-actions col-md-12" align="center">

					<button class="btn btn-success"
						onclick="UsersRequestsHandler.executeComposedIMValidate(${dataModel.id})" disabled="disabled" title=
							"This functionality has not been implemented">
						<span class="glyphicon glyphicon-ok"></span>
						Execute
					</button>
				</div>
			</div>


		</fieldset>
	</div>

	<div class="modal fade" id="modalRemovePreviusResult" tabindex="-1" role="dialog"
		aria-labelledby="exampleModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-sm" role="document">
			<div class="modal-content">
				<div class="modal-header" style="border: none;">
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body" style="border: none;">
					Would you like to delete the instanced metrics results?
				</div>
				<div class="modal-footer" style="border: none;">
					<button id="aOkRemove" class="btn btn-danger btn-sm" style="width: 70px"
						onclick="UsersRequestsHandler.executeComposedIMAjax(${dataModel.id}, true);"
						data-dismiss="modal">
						Yes <i class="glyphicon glyphicon-warning-sign"></i>
					</button>
					<button type="button" class="btn btn-sm" style="width: 70px"
						onclick="UsersRequestsHandler.executeComposedIMAjax(${dataModel.id}, false);"
						data-dismiss="modal">
						No</button>
				</div>
			</div>
		</div>
	</div>


</body>
</html>