<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>

<!DOCTYPE html>

<html lang="en">
<head>

<script type="text/javascript">

$(document).ready(function() {
	menuSideReLoadQualityModel(${dataModel.id}, "", -1);
	UsersRequestsHandler.executeInstanceMetricsLoadTable(${dimensions}, "${pageContext.request.contextPath}");
});

$(document).on('load', function() {
	$(".loader").fadeOut("slow");	
});	
	
</script>

<title>Excecute data model</title>
</head>
<body class="bodyCss">
	<div id="loader" class="loader" style="display: none;"></div>
	<div>
		<fieldset>
			<c:if test="${error != null }">
				<div class="alert alert-danger">${error}</div>
			</c:if>
			<div class="form-group row">
				<div class="col-md-12">
					<hr>
				</div>

				<div style=""></div>
				<div class="control-label col-md-10 col-md-offset-1" style="text-align: left;">
					<c:if test="${type=='IMPartialAgreg'}">
						<span> Select the instantiated metrics and partial aggregations to be evaluated</span>
					</c:if>
					<c:if test="${type=='Agregregations'}">
						<span> Select non partial aggregations to be evaluated</span>
					</c:if>
					<br> <br>
				</div>

				<div>
					<!-- 	Metricas isntanciadas  -->
					<c:if test="${type=='IMPartialAgreg'}">
						<div>
							<label class="col-md-12">Instanced Metrics </label>
						</div>
						<br>
						<div class="control-label col-md-10 col-md-offset-1" style="text-align: left;">
							<%-- 							<c:choose> --%>
							<%-- 								<c:when test="${empty instancedMetrics}"> --%>
							<!-- 									<div style="text-align: left">There are no instanced metrics in the data model</div> -->
							<%-- 								</c:when> --%>
							<%-- 								<c:otherwise> --%>
							<!-- 									<div class="panel panel-default center-block "> -->
							<!-- 										<table id="dtInstancedMetrics" class="table table-striped "> -->
							<!-- 											<thead> -->
							<!-- 												<tr> -->
							<!-- 													<th class="text-center col-md-3"><input id="chkIMSelected" type="checkbox" -->
							<!-- 														onchange="dataModelExecuteInstancedMetricsChek()"> Selected</th> -->
							<!-- 													<th class="text-center col-md-9">Name</th> -->
							<!-- 												</tr> -->
							<!-- 											</thead> -->
							<!-- 											<tbody> -->
							<%-- 												<c:forEach var="instancedMetric" items="${instancedMetrics}" varStatus="status"> --%>
							<!-- 													<tr> -->
							<!-- 														<td class="text-center"> -->

							<%-- 															<input id="chkInstancedMetric${instancedMetric.id}" type="checkbox" --%>
							<%-- 																name="instancedMetricsIds" value="${instancedMetric.id}" /> --%>
							<!-- 														</td> -->
							<%-- 														<td class="col-md-4 text-center">${instancedMetric.name}</td> --%>
							<!-- 													</tr> -->
							<%-- 												</c:forEach> --%>
							<!-- 											</tbody> -->
							<!-- 										</table> -->
							<!-- 									</div> -->
							<%-- 								</c:otherwise> --%>
							<%-- 							</c:choose> --%>
							<div class="col-md-12">
								<div class="panel panel-default center-block ">
									<table id="dtIM" class="table table-striped ">
										<thead>
											<tr >
												<th class="col-md-2">Dimension</th>
												<th class="col-md-2">Factor</th>
												<th class="col-md-2">Metric</th>
												<th class="col-md-2">Method</th>
												<th class="col-md-2">Instance Metric</th>
												<th class="col-md-2">Execute</th>

											</tr>
										</thead>
										<tbody id="tableIMBody">

										</tbody>
									</table>
								</div>

								<hr>

							</div>
						</div>
						<!-- 														Aggregation  -->

						<br>
					</c:if>
					<c:if test="${type=='IMPartialAgreg'}">
						<label class="col-md-12">Partial measurement aggregations </label>
					</c:if>

					<c:if test="${type=='Agregregations'}">
						<label class="col-md-12">Measurement and granularity aggregations </label>
					</c:if>

					<br>
					<div class="control-label col-md-6 col-md-offset-2" style="text-align: left;">
						<c:choose>
							<c:when test="${empty aggregations}">
								<div style="text-align: left">
									There are no
									<c:if test="${type=='IMPartialAgreg'}">partial measurement</c:if>
									<c:if test="${type=='Agregregations'}">measurement and granularity</c:if>
									aggregations in the data model
								</div>
							</c:when>
							<c:otherwise>
								<div class=" panel panel-default center-block ">

									<table id="dtAggregations" class="table table-striped ">
										<thead>
											<tr>
												<th class="text-center col-md-3"><input id="chkASelected" type="checkbox"
													onchange="dataModelExecuteAggregationsCheck()"> Selected</th>
												<th class="text-center col-md-6">Name</th>
<!-- 												<th class="text-center col-md-3">Partial</th> -->

											</tr>
										</thead>
										<tbody>

											<c:forEach var="aggregation" items="${aggregations}" varStatus="status">
												<tr>
													<td class="text-center">
														<input id="chkAggregation${aggregation.id}" type="checkbox" name="aggregationsIds"
															value="${aggregation.id}" />
													</td>
													<td class="text-center">${aggregation.name}</td>
<!-- 													<td class="text-center"> -->
<!-- 														<input type="checkbox" class="form-check-input" disabled="disabled" -->
<%-- 															checked="${aggregation.partial}" /> --%>
<!-- 													</td> -->
												</tr>
											</c:forEach>
										</tbody>
									</table>
								</div>
							</c:otherwise>
						</c:choose>
					</div>
				</div>
				<div class="row form-actions col-md-12" align="center">

					<!-- 					<button class="btn btn-success" data-target="#confirmationModal" data-toggle="modal">Execute</button> -->
					<button class="btn btn-success"
						onclick="UsersRequestsHandler.qualityModelDataModelValidateExecuteAjax('${type}')">
						<span class="glyphicon glyphicon-ok"></span>
						Execute
					</button>
				</div>
			</div>


		</fieldset>
	</div>

	<div class="modal fade" id="modalRemovePreviusResult" tabindex="-1" role="dialog"
		aria-labelledby="exampleModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-sm" role="document">
			<div class="modal-content">
				<div class="modal-header" style="border: none;">
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body" style="border: none;">
					Some
					<c:if test="${type=='IMPartialAgreg'}">
						instance metrics and
					</c:if>
					aggregations have been previously executed. If you continue, the results of the executions will
					be removed. <br> <br> Continue with the execution?
				</div>
				<div class="modal-footer" style="border: none;">
					<button id="aOkRemove" class="btn btn-danger btn-sm" style="width: 70px"
						onclick="UsersRequestsHandler.qualityModelDataModelExecuteAjax(true);" data-dismiss="modal">
						Yes <i class="glyphicon glyphicon-warning-sign"></i>
					</button>
					<button type="button" data-dismiss="modal" class="btn btn-sm" style="width: 70px">No</button>
				</div>
			</div>
		</div>
	</div>

	<div class="modal fade" id="modalReloadData" tabindex="-1" role="dialog"
		aria-labelledby="exampleModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-sm" role="document">
			<div class="modal-content">
				<div class="modal-header" style="border: none;">
					<label> Update data</label>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body" style="border: none;">
					Some data used to execute these instantiated metrics are stored in the system.<br>
				</div>
				<div class="modal-body" style="border: none; display: none;" id="modalReloadDataMessage">
					These data is used by other instantiated metrics, if it is reload, the results of their
					executions will be eliminated.<br>
				</div>
				<div class="modal-body" style="border: none;">Do you want to update the data from the
					source database?</div>
				<div class="modal-footer" style="border: none;">
					<button id="aOkReloadData" class="btn btn-danger btn-sm" style="width: 70px"
						onclick="UsersRequestsHandler.qualityModelDataModelExecuteAjax(true);" data-dismiss="modal">
						Yes <i class="glyphicon glyphicon-warning-sign"></i>
					</button>
					<button type="button" data-dismiss="modal" class="btn btn-sm" style="width: 70px"
						onclick="UsersRequestsHandler.qualityModelDataModelExecuteAjax(false);">No</button>
				</div>
			</div>
		</div>
	</div>
</body>
</html>