<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>

<!DOCTYPE html>

<html lang="en">
<head>

<script type="text/javascript">

$(document).ready(function() {
 	UsersRequestsHandler.executeInstanceMetricsLoadTable(${dimensions}, "${pageContext.request.contextPath}");
});

$(document).on('load', function() {
	$(".loader").fadeOut("slow");	
});	

$(function() {
	$('[data-toggle="tooltip"]').tooltip()
})



</script>


<title>Excecute data model</title>
</head>
<body class="bodyCss">
	<div id="loader" class="loader" style="display: none;"></div>
	<div>
		<fieldset>
			<c:if test="${error != null }">
				<div class="alert alert-danger">${error}</div>
			</c:if>
			<div class="form-group row">
				<div class="col-md-12">
					<hr>
				</div>


				<!-- 	Metricas isntanciadas  -->

				<div>
					<label class="col-md-12">Instanced Metrics </label>
				</div>
				<div class="control-label col-md-10 col-md-offset-1"
					style="text-align: left;">
					<span> Select the instantiated metrics to be evaluated</span>
					<br> <br>
					<div id="divError" class="alert alertValidation alert-danger"
						style="display: none;"></div>
				</div>
				<br>
				<div class="control-label col-md-10 col-md-offset-1"
					style="text-align: left;">

					<div class="col-md-12">
						<div class="panel panel-default center-block ">
							<table id="dtIM" class="table table-striped ">
								<thead>
									<tr>
										<th class="col-md-2">Dimension</th>
										<th class="col-md-2">Factor</th>
										<th class="col-md-2">Metric</th>
										<th class="col-md-2">Method</th>
										<th class="col-md-2">Instance Metric</th>
										<th class="col-md-2">Execute</th>
										<th></th>
									</tr>
								</thead>
								<tbody id="tableIMBody">

								</tbody>
							</table>
						</div>

						<hr>

					</div>
				</div>




				<br>

			</div>
			<div class="row form-actions col-md-12" align="center">

				<button class="btn btn-success"
					onclick="UsersRequestsHandler.executeInstancedMetricsValidateAjax(${dataModel.id})">
					<span class="glyphicon glyphicon-ok"></span>
					Execute
				</button>
			</div>
	</div>


	</fieldset>
	</div>

	<div class="modal fade" id="modalRemovePreviusResult" tabindex="-1"
		role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-sm" role="document">
			<div class="modal-content">
				<div class="modal-header" style="border: none;">
					<button type="button" class="close" data-dismiss="modal"
						aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body" style="border: none;">
					Some instance metrics have been previously executed. If you
					continue, the results of the executions will be removed. <br>
					<br> Continue with the execution?
				</div>
				<div class="modal-footer" style="border: none;">
					<button id="aOkRemove" class="btn btn-danger btn-sm"
						style="width: 70px"
						onclick="UsersRequestsHandler.executeInstancedMetricsAjax(${dataModel.id}, true);"
						data-dismiss="modal">
						Yes <i class="glyphicon glyphicon-warning-sign"></i>
					</button>
					<button type="button" data-dismiss="modal" class="btn btn-sm"
						style="width: 70px">No</button>
				</div>
			</div>
		</div>

	</div>
	<div class="modal fade" id="modalReloadData" tabindex="-1"
		role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-sm" role="document">
			<div class="modal-content">
				<div class="modal-header" style="border: none;">
					<label> Update data</label>
					<button type="button" class="close" data-dismiss="modal"
						aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body" style="border: none;">
					Some data used to execute these instantiated metrics are stored in
					the system.<br>
				</div>
				<div class="modal-body" style="border: none; display: none;"
					id="modalReloadDataMessage">
					These data is used by other instantiated metrics, if it is reload,
					the results of their executions will be eliminated.<br>
				</div>
				<div class="modal-body" style="border: none;">Do you want to
					update the data from the source database?</div>
				<div class="modal-footer" style="border: none;">
					<button id="aOkReloadData" class="btn btn-danger btn-sm"
						style="width: 70px"
						onclick="UsersRequestsHandler.executeInstancedMetricsAjax(${dataModel.id},true);"
						data-dismiss="modal">
						Yes <i class="glyphicon glyphicon-warning-sign"></i>
					</button>
					<button type="button" data-dismiss="modal" class="btn btn-sm"
						style="width: 70px"
						onclick="UsersRequestsHandler.executeInstancedMetricsAjax(${dataModel.id}, false);">No</button>
				</div>
			</div>
		</div>
	</div>
	<div class="modal fade" id="modalInfoInstancedMetrics" tabindex="-1"
		role="dialog" aria-labelledby="modalInfoInstancedMetrics"
		aria-hidden="true">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h4 id="divTitle" class="modal-title col-md-9">Instanced Metric: </h4>
					<button type="button" class="close" data-dismiss="modal"
						aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body">
					<div class="form-group row">
						<label class="col-md-3 col-form-label">Metrics </label>
						<div id="divMetricsName" class="col-md-9" style="text-align: left"></div>
					</div>
					<div class="form-group row">
						<label class="col-md-3 col-form-label">Description </label>
						<div id="divMetricsDescription" class="col-md-9"
							style="text-align: left"></div>
					</div>
					<div class="form-group row">
						<label class="col-md-3 col-form-label">Granularity </label>
						<div id="divMetricsGranularity" class="col-md-9"
							style="text-align: left"></div>
					</div>
					<div class="row">
						<hr>
					</div>

					<div class="form-group row">
						<label class="col-md-3 col-form-label">Method </label>
						<div id="divMethodName" class="col-md-9" style="text-align: left"></div>
					</div>
					<div class="form-group row">
						<label class="col-md-3 col-form-label">Description </label>
						<div id="divMethodDescription" class="col-md-9"
							style="text-align: left"></div>
					</div>
					<div class="row">
						<hr>
					</div>

					<div class="form-group row">
						<label class="col-md-3 col-form-label">Url Web Service </label>
						<div id="divUrl" class="col-md-9" style="text-align: left"></div>
					</div>
					<div class="form-group row">
						<label class="col-md-3 col-form-label">Operation </label>
						<div id="divOperation" class="col-md-9" style="text-align: left"></div>
					</div>


				</div>
				<div class="modal-footer">
					 <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
				</div>
			</div>
		</div>
	</div>
</body>
</html>