/**
 **/

function GraphicHandler() {

	var operacionesWebServiceList;
	var metrics;

	this.ShowResult = function(data) {
		var obj = JSON.parse(data);
		$('#result').html("<br>Next Random # is <b>" + obj.Number + "</b>. Generated on <b>" + obj.Date + "</b>");
	}

	ShowError = function(error_msg) {
		alert(error_msg);
		this.hideLoader();
	}

	this.messageError = function(message, label) {
		$(label).text(message.responseText);
		$(label).show();
		this.hideLoader();
	}

	// loadIframe = function(element) {
	// var Height =
	// document.getElementById(element).contentWindow.document.body.scrollHeight;
	//
	// document.getElementById(element).height = Height + 40;
	// }

	// ************************** Imagen cargando ************************** //

	this.showLoader = function() {
		document.getElementById("loader").style.display = "inline";
	}

	this.hideLoader = function() {
		document.getElementById("loader").style.display = "none";
	}

	// **********************************************************************//

	// ******************************* Menu ******************************** //

	// **********************************************************************//

	// **************************** ABM Methods **************************** //

	// Muestra en pantalla la lista de operaciones del web service ingresado
	// Muestra operaciones sin parametros para seleccionar operacion para
	// limpiar web service
	this.operationsWebServiceLoad = function(data) {
		console.log(JSON.stringify(data));
		$('#cbOperations').empty();
		$('#cbOperationsCleanWS').empty();
		$('#cbOperationsCleanWS').append("<option value=\"\">...</option>");
		// $('#cbOperations').append("<option value= -1 \> ... </option>");
		for (var i = 0, len = data.length; i < len; ++i) {
			var operation = data[i];
			$('#cbOperations').append("<option value=\"" + operation.name + "\">" + operation.name + "</option>");

			if (operation.parameters.length == 0) {
				$('#cbOperationsCleanWS').append(
						"<option value=\"" + operation.name + "\">" + operation.name + "</option>");
			}
		}

		operacionesWebServiceList = data;

		$('#errorUrl').css('display', 'none');
		$('#divUrlError').css('display', 'none');
		$('#errorOperation').css('display', 'none');
		$('#errorOperationCleanWS').css('display', 'none');

	}

	// Muestra el mensaje de error

	this.methodUrlError = function(data) {
		$('#divUrlError').empty();
		$('#divUrlError').append(data);
		$('#divUrlError').css('display', '');
		$('#errorUrl').css('display', 'none');

		$('#cbOperations').empty();
		$('#tableParametersBody').empty();

		this.hideLoader();
	}

	// Muestra en pantalla los parametros de la operacion seleccionada
	// Muestra los radio buttons para seleccionar el tipo de parametro
	this.methodParametersLoad = function(operation, connectToDB, granularity) {

		$('#tableParametersBody').empty();

		var operation;

		$('#divParameterEmpty').hide();

		for (var index = 0, len = operation.parameters.length; index < len; ++index) {
			var parameter = operation.parameters[index];
			var table = "<tr>"
			// Se oculta en la pagina el id del parametro para poder
			// identificar a
			// que parametro corresponde el tipo que selecciono el
			// usuario

			+ '<input type="hidden" id="operation.parameters[' + index + '].name" value="' + parameter.name + '"'
					+ 'name="operation.parameters[' + index + '].name"' + '>' + '</input>'

					+ '<td style="text-align: center">' + '<label>' + parameter.name + '</label>' + "</td>"

					+ '<td style="text-align: center">' + parameter.dataTypeText + '</td>'

					// Radio button REFERENCE
					+ '<td style="text-align: center">' + '<input type="radio" id="' + parameter.name
					+ '" name="operation.parameters[' + index + '].parameterType" value="REFERENCE"/>' + "</td>";

			// Attribute
			if (granularity == "Cell" || granularity == "CellSet" || granularity == "Tuple") {
				table += '<td style="text-align: center">' + '<input type="radio" id="' + parameter.name
						+ '" name="operation.parameters[' + index + '].parameterType" value="ATTRIBUTE"/>' + "</td>";
			}

			// Table name
			if (granularity == "Column" || granularity == "ColumnSet" || granularity == "Table") {
				table += '<td style="text-align: center">' + '<input type="radio" id="' + parameter.name
						+ '" name="operation.parameters[' + index + '].parameterType" value="TABLE_NAME"/>' + "</td>";
			}

			// Column name
			if (granularity == "Column" || granularity == "ColumnSet") {
				table += '<td style="text-align: center">' + '<input type="radio" id="' + parameter.name
						+ '" name="operation.parameters[' + index + '].parameterType" value="COLUMN_NAME"/>' + "</td>";
			}

			// CONNECT_TO_DB
			if (connectToDB == "true") {
				table += '<td style="text-align: center">' + '<input type="radio" id="' + parameter.name
						+ '" name="operation.parameters[' + index + '].parameterType" value="CONNECT_TO_DB"/>'
						+ "</td>" + "</tr>";
			}
			$('#tableParameters').append(table);
		}
		this.hideLoader();
	}

	// Retorna las operaciociones de la session
	// this.operationsWebServiceMethodGet = function(nameOperation, connectToDB,
	// granularity) {
	//
	// if (typeof (operacionesWebServiceList) == "undefined") {
	// ComunicationHandler.operationsWebServiceGet(function(operations) {
	// GraphicHandler.operationsWebServiceSet(nameOperation, operations,
	// connectToDB);
	// }, function(error_msg) {
	// GraphicHandler.methodUrlError(error_msg);
	// });
	// } else {
	// this.methodParametersLoad(nameOperation, connectToDB, granularity);
	// }
	// this.hideLoader();
	// }

	// Setea la varible operacionesWebServiceList del javascript
	// this.operationsWebServiceSet = function(nameOperation, operations,
	// connectToDB) {
	//
	// operacionesWebServiceList = operations;
	// this.methodParametersLoad(nameOperation, connectToDB);
	// this.hideLoader();
	// }

	// Muestra o oculta la tabla de parametros dependiendo si la operacion tiene
	// parametros
	this.visbilityTable = function(parameters) {

		if (parameters.length == 0) {
			this.parametersTableBodyHide();
		} else {
			$('#tableParametersBody').css('visibility', 'visible');
			$('#divParameterEmpty').css('display', 'none');
		}
	}

	this.parametersTableBodyHide = function() {
		$('#tableParametersBody').empty();
		$('#tableParametersBody').hide();
		// TODO: ocultar el mensaje de error
	}

	// **********************************************************************//
	// **********************************************************************//

	// ********************* Database Test Connection ********************* //

	// Verifica que con el string de conexion se pueda conectar a una base de
	// datos
	this.qualityModelConnectDatabaseTestConnection = function(data) {

		$('#divResponse').text(data.response);
		$('#divResponse').removeClass($('#divResponse').attr("class"));
		if (data.ok) {
			$('#divResponse').addClass("alert alertValidation alert-success  col-md-8");

		} else {
			$('#divResponse').addClass("alert alertValidation alert-danger col-md-8");
		}
		this.hideLoader();
	}

	// **********************************************************************//
	// ------------------------- Instanced metrics -------------------------//
	// **********************************************************************//

	// Muestra en el combobox los factores de la dimension
	this.factorsGet = function(data) {

		console.log(JSON.stringify(data));

		this.parametersTableBodyHide();

		$('#cbFactors').empty();
		$('#cbFactors').append("<option value= 0 \> ... </option>");

		if (data != null) {
			for (var i = 0, len = data.length; i < len; ++i) {
				var factor = data[i];
				$('#cbFactors').append("<option value=\"" + factor.id + "\">" + factor.name + "</option>");

			}
		}
		$('#cbMetrics').empty();
		$('#cbMetrics').append("<option value= 0 \> ... </option>");

		$('#cbMethods').empty();
		$('#cbMethods').append("<option value= 0 \> ... </option>");
		$('#lblGranularity').empty();
		$("#parameterValuesError").css('display', 'none');
		this.hideLoader();
	}

	// Muestra en el combobox las metricas del factor
	this.metricsGet = function(data) {

		console.log(JSON.stringify(data));

		this.parametersTableBodyHide();

		$('#cbMetrics').empty();
		$('#cbMetrics').append("<option value= 0 \> ... </option>");
		if (data != null) {
			for (var i = 0, len = data.length; i < len; ++i) {
				var metric = data[i];
				$('#cbMetrics').append("<option value=\"" + metric.id + "\">" + metric.name + "</option>");
			}
		}

		$('#cbMethods').empty();
		$('#cbMethods').append("<option value= 0 \> ... </option>");
		$('#lblGranularity').empty();
		$("#parameterValuesError").css('display', 'none');
		this.hideLoader();
	}

	// Muestra en el combobox los metodos de la metrica
	this.instancedMetricsMethodsSet = function(data) {

		console.log(JSON.stringify(data));

		this.parametersTableBodyHide();

		$('#cbMethods').empty();
		$('#cbMethods').append("<option value= 0 \> ... </option>");
		$('#lblGranularity').empty();
		if (data != null) {

			for (var i = 0, len = data.methods.length; i < len; ++i) {
				var method = data.methods[i];
				$('#cbMethods').append("<option value=\"" + method.id + "\">" + method.name + "</option>");

			}

			$('#lblGranularity').text(data.metrics.granularity);
			$('#inputGranularity').val(data.metrics.granularity);
		}
		$("#parameterValuesError").css('display', 'none');
		this.hideLoader();
	}

	// Oculta la columna de "Column" de la tabla de parametros, se utiliza
	// cuando la granualridad es celda

	this.instancedMetricsColumnsShow = function(show) {
		if (show) {
			// if ($('#thParametersColumn').length > 0) {
			$('#thParametersColumn').show();
			// } else {
			// $('#tableParametersHeadTr')
			// .append(
			// '<th class="text-center col-md-4"
			// id="thParametersColumn">Column</th>');
			// }
		} else {
			$('#thParametersColumn').hide();
		}

	}

	// Muestra en el combobox los metodos de la metrica
	// Muestra los parametros del metodo, las tablas y columnas de los
	// atributos
	// jsonObject contiene: method, tables, typeAttribute, webService
	this.instancedMetricsParametersSet = function(jsonObject, idDatamodel) {

		$('#divUrl').text(jsonObject.webService.url);
		$("#divOperation").text(jsonObject.method.operation.name);
		$('#tableParametersBody').empty();
		$('#tableParametersBody').show();
		var granularity = $('#lblGranularity').text();
		this.visbilityTable(jsonObject.method.operation.parameters);
		if (jsonObject.method.operation.parameters.length > 0) {

			var i = 0;
			for (var index = 0; index < jsonObject.method.operation.parameters.length; ++index) {
				var parameter = jsonObject.method.operation.parameters[index];
				var divParameter = '<tr>'

				var pathParameter = 'parameterValues[' + i + '].parameter';

				// Paramter name
				divParameter += '<td style="text-align: center">' + '<input type="hidden" value="' + parameter.name
						+ '"' + 'name="' + pathParameter + '.name"' + '>' + '</input>' + '<label>' + parameter.name
						+ '</label>' + '</td>'

				// Parameter dataType
				divParameter += '<td style="text-align: center">' + '<input type="hidden" value="' + parameter.dataType
						+ '"' + 'name="' + pathParameter + '.dataType"' + '>' + parameter.dataTypeText + '</td>';

				// Parameter type
				divParameter += '<td style="text-align: center">' + '<input type="hidden" value="'
						+ parameter.parameterType + '"' + 'name="' + pathParameter + '.parameterType"' + '>'
						+ parameter.parameterTypeText + '</td>';

				if (parameter.parameterType == 'ATTRIBUTE' || parameter.parameterType == 'COLUMN_NAME'
						|| parameter.parameterType == 'TABLE_NAME') {
					divParameter += this.instancedMetricsParameterAttributeSet(parameter, i, jsonObject, idDatamodel);
				} else {
					if (granularity != 'DATABASE') {
						divParameter += '<td id="2"></td>';

						divParameter += '<td id="3"></td>';

					}
				}

				if (parameter.parameterType == 'REFERENCE') {
					divParameter += this.instancedMetricsParameterReferentialSet(parameter, i);
				} else {
					divParameter += '<td id="4"></td>';

				}

				divParameter += '</tr>';
				$('#tableParametersBody').append(divParameter);
				i = i + 1;

			}
		}

		this.hideLoader();
	}

	this.instancedMetricsParameterReferentialSet = function(parameter, i) {
		// filas de tabla y columna
		inputPath = 'parameterValues' + i + '.referenceValue';
		inputName = 'parameterValues[' + i + '].referenceValue';
		// Value
		divParameter = "<td><input class='form-control' value='' id=" + inputPath + " name=" + inputName
				+ "> </input></td>";
		return divParameter;
	}

	this.instancedMetricsParameterAttributeSet = function(parameter, i, jsonObject, idDatamodel) {

		var divParameter = "";

		if (jsonObject.typeAttribute == 'COLUMNS' && parameter.parameterType != 'TABLE_NAME') {

			var selectColumnPath = 'parameterValues[' + i + '].attribute.name';

			var selectColumnId = 'select' + parameter.name + 'Column';

			this.instancedMetricsColumnsShow(true);

			var operationOnLoad = 'UsersRequestsHandler.instancedMetricsColumnsSet(' + idDatamodel + ',  this.value , '
					+ selectColumnId + ')';

			selectTablePath = 'parameterValues[' + i + '].attribute.attributeTable.name';

			selectTableId = 'parameterValues' + i + '.attribute.attributeTable.name';

			divParameter += this.instancedMetricsTableSet(i, jsonObject.tables, operationOnLoad, selectTablePath,
					selectTableId);

			divParameter += '<td  style="text-align: center">' + '<select id="' + selectColumnId + '" name="'
					+ selectColumnPath + '" class="form-control">' + '<option value="" selected>...</option>';

			divParameter += '</select>' + '</td>';
		}

		if (jsonObject.typeAttribute == 'TABLES' || parameter.parameterType == 'TABLE_NAME') {

			selectTablePath = 'parameterValues[' + i + '].attribute.name';

			selectTableId = 'parameterValues' + i + '.attribute.name';

			divParameter += this.instancedMetricsTableSet(i, jsonObject.tables, "", selectTablePath, selectTableId);

			divParameter += '<td id="5"></td>';

		}

		return divParameter;

	}

	this.instancedMetricsTableSet = function(i, tables, operationOnLoad, selectTablePath, selectTableId) {

		var divParameter = '<td  style="text-align: center">' + '<select id="' + selectTableId + '" name="'
				+ selectTablePath + '" class="form-control" ' + '" onchange=" ' + operationOnLoad + '"' + '>'
				+ '<option value="" selected>...</option>';

		for (var j = 0; j < tables.length; ++j) {
			divParameter += '<option value="' + tables[j].name + '">' + tables[j].name + '</option>';
		}

		divParameter += '</select>' + '</td>';
		return divParameter;
	}
	// Oculta el div donde se muestran los parametros

	// Limpia y agrega las columnas al combo de la fila de la tabla
	this.instancedMetricsColumnsSet = function(columns, selectAttributeColum, table) {
		$(selectAttributeColum).empty();
		var selectTable = '<option value="" selected>...</option>';
		for (var i = 0; i < columns.length; ++i) {
			// Agrego el espacio en el value para identificar la tabla de la
			// columna
			selectTable += '<option value="' + columns[i].name + '">' + columns[i].nameType + '</option>';
		}
		$(selectAttributeColum).append(selectTable);
		this.hideLoader();
	}

	// **********************************************************************//
	// ------------------------- Aggregations -------------------------//
	// **********************************************************************//

	// Muestra en el combobox los metodos de la metrica
	// Muestra los parametros del metodo,, las tablas y columnas de los
	// atributos
	// jsonObject contiene: method, tables, typeAttribute
	this.aggregationParametersLoad = function(operation, idDataModel) {

		$('#tableParametersBody').empty();
		$('#tableParametersBody').show();

		this.visbilityTable(operation.parameters);
		if (operation.parameters.length > 0) {
			// En la vista el modelo es aggregation
			var i = 0;
			for (var index = 0; index < operation.parameters.length; ++index) {
				var parameter = operation.parameters[index];

				var pathParameterValue = 'parameterValues[' + i + '].parameter'
				var selectParameterTypeId = "select" + parameter.name + "ParamType";
				var aggregationChangeOperation = 'UsersRequestsHandler.aggregationTypeParameterChange(' + idDataModel
						+ ', this.value,' + "'" + parameter.name + "'," + i + ")";
				// Parameter name
				var divParameter = '<tr>' + '<td style="text-align: center">' + '<input type="hidden" value="'
						+ parameter.name + '"' + 'name="' + pathParameterValue + '.name"' + '>' + '</input>'
						+ '<label>' + parameter.name + '</label>' + '</td>';
				// Parameter data type
				divParameter += '<td style="text-align: center">' + '<input type="hidden" value="' + parameter.dataType
						+ '"' + 'name="' + pathParameterValue + '.dataType"' + '>' + '</input>' + '<span>'
						+ parameter.dataTypeText + '</span>' + '</td>';
				// Parameter type
				divParameter += '<td style="text-align: center">' + '<select id="' + selectParameterTypeId + '"name="'
						+ pathParameterValue + '.parameterType' + '" class="form-control" onchange="'
						+ aggregationChangeOperation + '">' + '<option value="" selected>...</option>';

				divParameter += '<option value="TABLE_NAME">Name of the results table</option>';
				divParameter += '<option value="COLUMN_NAME">Name of the results column</option>';
				divParameter += '<option value="REFERENCE">Reference</option>';
				divParameter += '<option value="CONNECT_TO_DB">Connect to DB</option>'

				divParameter += '</select>' + '</td>';

				var idTdValue = 'td' + parameter.name + 'Value';
				divParameter += '<td id= ' + idTdValue + '> </td>';

				divParameter += '</tr>';
				$('#tableParametersBody').append(divParameter);
				i = i + 1;
			}
		}
		this.hideLoader();
	}

	// // Muestra el text box para ingresar el valor de la referencia
	// this.aggregationAttributeReferntialLoad = function(parameterName,
	// selectRow) {
	//
	// var pathInputRefValue = 'parameterValues[' + selectRow +
	// '].referenceValue';
	//
	// var tdRefValueId = "td" + parameterName + "Value";
	//
	// $("#" + tdRefValueId).empty();
	// $("#" + tdRefValueId).append("<input class='form-control' value='' name="
	// + pathInputRefValue + "> </input>")
	// }

	// Cuando selecciona el tipo de attributo connect to db oculto los select
	// del atributo
	// this.aggregationAttributeConnectToDBLoad = function(parameterName) {
	// $("#td" + parameterName + "Value").empty();
	// }

	// agrega los combo box para que el usuario seleccione la MI
	// this.aggregationAttributeIMLoad = function(idDataModel, parameterName,
	// selectRow) {
	// // En la vista el modelo es aggregation
	// var selectTablePath = 'parameterValues[' + selectRow +
	// '].instancedMetric.name';
	//
	// var selectValueId = "cbInstancedMetrics";
	//
	// var selectValue = '<select id="' + selectValueId + '" name="' +
	// selectTablePath + '" class="form-control">';
	// // ComunicationHandler.instancedMetricsFind(idDataModel, selectRow,
	// // function(object) {
	//
	// selectValue += this.aggregationAttributeIMLoadOption(selectValue);
	//
	// selectValue += '</select>';
	// var tdValueId = "#td" + parameterName + "Value";
	// $(tdValueId).empty();
	// $(tdValueId).append(selectValue);
	// }

	// this.aggregationAttributeIMLoadOption = function(selectValue) {
	// selectValue += '<option value="" selected>...</option>';
	// var im1 = $('#cbInstancedMetric1').val();
	// var im2 = $('#cbInstancedMetric2').val();
	//
	// if (im1 != -1) {
	// selectValue += '<option value="' + im1 + '">' + im1 + '</option>';
	// }
	//
	// if (im2 != -1) {
	// selectValue += '<option value="' + im2 + '">' + im2 + '</option>';
	// }
	// return selectValue;
	// }

	// Muestra el text box para ingresar el valor de la referencia
	this.aggregationAttributeLoad = function(parameterName, typeParameter, selectRow) {

		if (typeParameter == "REFERENCE") {
			var pathInputRefValue = 'parameterValues[' + selectRow + '].referenceValue';

			var tdRefValueId = "td" + parameterName + "Value";

			$("#" + tdRefValueId).empty();
			$("#" + tdRefValueId).append(
					"<input class='form-control' value='' name=" + pathInputRefValue + "> </input>");
		} else {
			$("#td" + parameterName + "Value").empty();
		}
	}

	// **********************************************************************//
	// ------------------------- Composed IM -------------------------//
	// **********************************************************************//

	// Muestra los parametros del metodo, las tablas y columnas de los
	// atributos
	// jsonObject contiene: method, tables, typeAttribute
	this.composedIMParametersLoad = function(operation, idDataModel) {

		$('#tableParametersBody').empty();
		$('#tableParametersBody').show();

		this.visbilityTable(operation.parameters);
		if (operation.parameters.length > 0) {
			// En la vista el modelo es aggregation
			var i = 0;
			for (var index = 0; index < operation.parameters.length; ++index) {
				var parameter = operation.parameters[index];

				var pathParameterValue = 'parameterValues[' + i + '].parameter'
				var selectParameterTypeId = "select" + parameter.name + "ParamType";
				var aggregationChangeOperation = 'UsersRequestsHandler.composedIMTypeParameterChange(' + idDataModel
						+ ', this.value,' + "'" + parameter.name + "'," + i + ")";
				// Parameter name
				var divParameter = '<tr>' + '<td style="text-align: center">' + '<input type="hidden" value="'
						+ parameter.name + '"' + 'name="' + pathParameterValue + '.name"' + '>' + '</input>'
						+ '<label>' + parameter.name + '</label>' + '</td>';
				// Parameter data type
				divParameter += '<td style="text-align: center">' + '<input type="hidden" value="' + parameter.dataType
						+ '"' + 'name="' + pathParameterValue + '.dataType"' + '>' + '</input>' + '<span>'
						+ parameter.dataTypeText + '</span>' + '</td>';
				// Parameter type
				divParameter += '<td style="text-align: center">' + '<select id="' + selectParameterTypeId + '"name="'
						+ pathParameterValue + '.parameterType' + '" class="form-control" onchange="'
						+ aggregationChangeOperation + '">' + '<option value="" selected>...</option>';

				divParameter += '<option value="ATTRIBUTE">Result of</option>';
				divParameter += '<option value="REFERENCE">Reference</option>';

				divParameter += '</select>' + '</td>';

				var idTdValue = 'td' + parameter.name + 'Value';
				divParameter += '<td id= ' + idTdValue + '> </td>';

				divParameter += '</tr>';
				$('#tableParametersBody').append(divParameter);
				i = i + 1;
			}
		}
		this.hideLoader();
	}

	// Agrega los campos para que el usuario seleccione el valor del parametro
	// Si typeParameter = REFERENTIAL: agrego un campo para ingresar el valor
	// = ATTRIBUTE: cargo las tablas y las metricas instanciadass
	this.composedIMAttributeLoad = function(parameterName, typeParameter, selectRow) {

		if (typeParameter == "ATTRIBUTE") {
			$('#MIError').empty();
			$('#MIError').css('display', 'none');

			if ($('#cbInstancedMetric1').val() == -1) {
				$('#MIError').append("Select the instanced metric 1\r\n");
				$('#MIError').css('display', '');
			}

			if (!$('#cbInstancedMetric2').prop("hidden") && $('#cbInstancedMetric2').val() == -1) {
				$('#MIError').append("Select the instanced metric 2");
				$('#MIError').css('display', '');
			}

			if ($('#MIError').val() == "") {

				// var selectTablePath = 'parameterValues[' + selectRow +
				// '].instancedMetric.name';
				//
				// var selectValueId = "cbInstancedMetrics" + selectRow;

				this.composedIMAttributeIMLoad(parameterName, selectRow);

				// var tdValueId = "#td" + parameterName + "Value";
				// $(tdValueId).empty();
				// $(tdValueId).append(selectValue);
			}
		}

		if (typeParameter == "REFERENCE") {
			var pathInputRefValue = 'parameterValues[' + selectRow + '].referenceValue';

			var tdRefValueId = "td" + parameterName + "Value";

			$("#" + tdRefValueId).empty();
			$("#" + tdRefValueId).append(
					"<input class='form-control' value='' name=" + pathInputRefValue + "> </input>");
		}

	}

	// agrega el combo box para que el usuario seleccione la MI del parametro
	this.composedIMAttributeIMLoad = function(parameterName, selectRow) {
		var selectTablePath = 'parameterValues[' + selectRow + '].instancedMetric.name';

		var selectValueId = "cbParameterInstancedMetrics" + selectRow;

		var selectValue = '<select id="' + selectValueId + '" name="' + selectTablePath + '" class="form-control">';

		selectValue += this.composedIMAttributeComboboxLoad();
		selectValue += '</select>';
		var tdValueId = "#td" + parameterName + "Value";
		$(tdValueId).empty();
		$(tdValueId).append(selectValue);
	}

	// carga el combo box para que el usuario seleccione la MI del parametro
	this.composedIMAttributeComboboxLoad = function() {

		selectValue = '<option value="" selected>...</option>';

		for (var i = 0; i < $('[id*=cbInstancedMetric]').length; ++i) {
			var im = $('[id*=cbInstancedMetric]')[i].value;

			if (im != -1) {
				selectValue += '<option value="' + im + '">' + im + '</option>';
			}

		}

		this.composedIMAttributeLoadGranularitys();
		return selectValue;

	}

	this.composedIMAttributeLoadGranularitys = function() {
		var granularity = -1;
		// Verifica si la primera IM Seleccionada es de granualaridad del grupo
		// 1
		if ($('#cbInstancedMetric0 :selected').attr('label').indexOf('(Cell)') != -1
				|| $('#cbInstancedMetric0 :selected').attr('label').indexOf('(CellSet)') != -1
				|| $('#cbInstancedMetric0 :selected').attr('label').indexOf('(Tuple)') != -1) {
			granularity = 1;
		} else {
			if ( $('#cbInstancedMetric0 :selected').attr('label').indexOf('(Column)') != -1
					|| $('#cbInstancedMetric0 :selected').attr('label').indexOf('(ColumnSet)') != -1
					|| $('#cbInstancedMetric0 :selected').attr('label').indexOf('(Table)') != -1
					|| $('#cbInstancedMetric0 :selected').attr('label').indexOf('(DataBase)') != -1) {
				granularity = 2;
			}

		}

		// Verifica si todas son del mismo conjunto de granularidad que la
		// primera
		for (var i = 1; i < $('[id*=cbInstancedMetric]').length; ++i) {
			if (granularity == 1) {
				if ($('#cbInstancedMetric' + [ i ] + ' :selected').attr('label').indexOf('(Cell)') != -1
						|| $('#cbInstancedMetric' + [ i ] + ' :selected').attr('label').indexOf('(CellSet)') != -1
						|| $('#cbInstancedMetric' + [ i ] + ' :selected').attr('label').indexOf('(Tuple)') != -1) {
					granularity = 1;
				} else {
					granularity = -1;
				}
			} else {
				if (granularity == 2) {

					if ($('#cbInstancedMetric' + [ i ] + ' :selected').attr('label').indexOf('(Column)') != -1
							|| $('#cbInstancedMetric' + [ i ] + ' :selected').attr('label').indexOf('(ColumnSet)') != -1
							|| $('#cbInstancedMetric' + [ i ] + ' :selected').attr('label').indexOf('(Table)') != -1
							|| $('#cbInstancedMetric' + [ i ] + ' :selected').attr('label').indexOf('(DataBase)') != -1) {
						granularity = 2;
					} else {
						granularity = -1
					}
				}

			}

		}

		$(cmbGranularity).empty();
		var selectValue = '<option value="" selected>...</option>';
		if (granularity == 1) {
			selectValue += '<option value="Cell"> Cell </option>';
			selectValue += '<option value="CellSet"> Cell Set </option>';
			selectValue += '<option value="Tuple"> Tuple </option>';
		}

		if (granularity == 2) {
			selectValue += '<option value="Column"> Column </option>';
			selectValue += '<option value="ColumnSet"> Column Set </option>';
			selectValue += '<option value="Table"> Table </option>';
			selectValue += '<option value="Database"> Database </option>';
		}
		$(cmbGranularity).append(selectValue);
	}

	// Agrega un combobox para que el usuario seleccione la MI de composedIM
	this.composedIMAddIM = function(instancedMetrics) {

		var select = "";
		var divIndex = $('[id*=divInstancedMetricSelect]').length + 1;
		select += '<div id="divInstancedMetricSelect' + divIndex + '" class="form-group row">';
		select += '<div class="col-md-5 col-md-offset-3">';
		select += '<select id="cbInstancedMetric' + divIndex + '" class="form-control"';
		select += 'onchange="UsersRequestsHandler.composedIMLoadParameterIM()">';
		select += '<option value="-1" label="..." />';
		for (var i = 0; i < instancedMetrics.length; ++i) {
			select += '<option value="' + instancedMetrics[i].name + '"label="' + instancedMetrics[i].fullName + '">';
		}
		select += '</select>';
		select += '</div>';
		select += '<div style="text-align:left;" class="col-md-4">';
		select += '<a type="button" class="btn btn-danger btn-sm" onclick="composedIMRemoveIM(' + divIndex + ')">';
		select += '<span class="glyphicon glyphicon-minus"> </span>';
		select += '</a>';
		select += '</div>';
		select += '<div id="errorInstancedMetricSelect' + divIndex
				+ '" class="alert alertValidation alert-danger col-md-3" style="display: none;"></div>';
		select += '</div>';

		$('#divInstancedMetrics').append(select);
	}

	// **********************************************************************//
	// Ejecutar modelo de datos
	// *********************************************************************//

	this.qualityModelDataModelExecuteResultLoad = function(response) {
		$('#divExecute').hide();

		$('#divResult').html(response);
		$('#divResult').show();
		this.hideLoader();
	}

	// json contiene previusExecution y dataLoad
	// this.qualityModelDataModelValidateExecuteAjax = function(json) {
	// // Si hay una ejecucion previa consulto si quiere continuar y perder la
	// // ejecucion
	// if (json.previusExecution) {
	//
	// if (json.dataLoad) {
	// // Si hay datos cargados muestra pop up consultando si quiere
	// // recargar los datos
	// $('#modalReloadDataMessage').show();
	// $('#aOkRemove').attr("onclick",
	// "UsersRequestsHandler.qualityModelDataModelExecuteReloadDataModal()");
	// } else {
	// $('#modalReloadDataMessage').hide();
	// $('#aOkRemove').attr("onclick",
	// "UsersRequestsHandler.qualityModelDataModelExecuteReloadDataModal()");
	// }
	//
	// $('#modalRemovePreviusResult').modal();
	//
	// this.hideLoader();
	// return;
	// }
	// if (json.dataLoad) {
	// $('#modalReloadDataMessage').show();
	// $('#modalReloadData').modal();
	// this.hideLoader();
	// return;
	// }
	//
	// UsersRequestsHandler.qualityModelDataModelExecuteAjax(false);
	// this.hideLoader();
	// }
	// **********************************************************************//
	// Ejecutar metricas instanciadas
	// *********************************************************************//

	// json contiene previusExecution y dataLoad
	this.executeInstancedMetricsValidateAjax = function(idDataModel, json) {
		// Si hay una ejecucion previa consulto si quiere continuar y perder la
		// ejecucion
		if (json.previusExecution) {

			if (json.dataLoad) {
				// Si hay datos cargados muestra pop up consultando si quiere
				// recargar los datos
				$('#modalReloadDataMessage').show();
				$('#aOkRemove').attr("onclick", "UsersRequestsHandler.qualityModelDataModelExecuteReloadDataModal()");
			} else {
				$('#modalReloadDataMessage').hide();
				$('#aOkRemove').attr("onclick", "UsersRequestsHandler.qualityModelDataModelExecuteReloadDataModal()");
			}

			$('#modalRemovePreviusResult').modal();

			this.hideLoader();
			return;
		}
		if (json.dataLoad) {
			$('#modalReloadDataMessage').show();
			$('#modalReloadData').modal();
			this.hideLoader();
			return;
		}

		UsersRequestsHandler.executeInstancedMetricsAjax(idDataModel, true);
	}

	// **********************************************************************//
	// Ejecutar agregaciones
	// *********************************************************************//

	this.executeAggregationsDeleteIMResult = function(idDataModel) {
		$('#modalRemovePreviusResult').modal();
		this.hideLoader();
	}

	// **********************************************************************//
	// Ejecutar Composed Metrics IM
	// *********************************************************************//

	this.executeComposedIMDeleteIMResult = function(idDataModel) {
		$('#modalRemovePreviusResult').modal();
		this.hideLoader();
	}

	// **********************************************************************//
	// Resultado de ejecucion de modelo de datos
	// *********************************************************************//

	this.executeDataQulityModelResultLoad = function(html) {

		$('#divResult').html(html);
		this.hideLoader();
	}

	// **********************************************************************//
	// Mostrar modelo de datos
	// *********************************************************************//

	// Calcula la cantidad de metricas instanciadas que tiene el element
	// element es una dimension, un factor, una metrica o un metodo
	// count es la cantidad inicial de metricas instanciadas
	this.cantidadDeFilas = function(element, elementType, count) {
		var countR = 0;
		if (elementType == 'dimension') {
			for (var i = 0; i < element.factors.length; ++i) {
				countR += this.cantidadDeFilas(element.factors[i], 'factor', count);
			}
		}

		if (elementType == 'factor') {
			for (var i = 0; i < element.metrics.length; ++i) {
				countR += this.cantidadDeFilas(element.metrics[i], 'metric', count);
			}
		}

		if (elementType == 'metric') {
			for (var i = 0; i < element.methods.length; ++i) {
				countR += this.cantidadDeFilas(element.methods[i], 'method', count);
			}
		}

		if (elementType == 'method') {
			for (var j = 0; j < element.instancedMetrics.length; ++j) {
				countR++;
			}

		}

		return countR + count;
	}
	// Carga la tabla con las metricas instanciadas
	// dimensionsJson: lita de dimemensiones que tienen las metricas
	// instanciadas
	// agupadas por metodos, metricas, factores y dimensiones
	this.instanceMetricsLoadTable = function(dimensionsJson, contextPath) {
		var tableIM = $('#tableIMBody');
		var dimensions = JSON.parse(dimensionsJson.dimensions);

		var rows = "";
		for (var dimensionIndex = 0; dimensionIndex < dimensions.length; ++dimensionIndex) {

			var dimensionRow = dimensions[dimensionIndex];
			// Creo la celda de dimension con la cantidad de filas igual a la
			// cantidad de metricas instanciadas que tiene la dimension
			var countFilas = this.cantidadDeFilas(dimensionRow, "dimension", 0);
			rows += '<tr id="dimension"><td rowspan=' + countFilas
					+ ' style="vertical-align: inherit; background-color: white;">' + dimensionRow.name + '</td>';

			for (var factorIndex = 0; factorIndex < dimensionRow.factors.length; ++factorIndex) {

				var factorRow = dimensionRow.factors[factorIndex];
				// Creo la celda del factor con la cantidad de filas igual a la
				// cantidad de MI que tiene el factor
				rows += '<td rowspan=' + this.cantidadDeFilas(factorRow, 'factor', 0)
						+ ' style="vertical-align: inherit; background-color: white;">' + factorRow.name + '</td>';

				for (var metricsIndex = 0; metricsIndex < factorRow.metrics.length; ++metricsIndex) {

					var metricRow = factorRow.metrics[metricsIndex];
					// Creo la celda de la metrica con la cantidad de filas
					// igual a
					// la cantidad de MI que tiene la metrica
					rows += '<td rowspan=' + this.cantidadDeFilas(metricRow, 'metric', 0)
							+ ' style="vertical-align: inherit; background-color: white;">' + metricRow.name + '</td>';

					for (var methodsIndex = 0; methodsIndex < metricRow.methods.length; ++methodsIndex) {

						var methodRow = metricRow.methods[methodsIndex];
						// Creo la celda del metodos con la cantidad de filas
						// igual a la cantidad de MI que tiene el metodo
						rows += '<td  rowspan=' + this.cantidadDeFilas(methodRow, 'method', 0)
								+ ' style="vertical-align: inherit; background-color: white;">' + methodRow.name
								+ '</td>';

						for (var IMIndex = 0; IMIndex < methodRow.instancedMetrics.length; ++IMIndex) {
							rows += '<td style="vertical-align: inherit; background-color: white;">'
									+ methodRow.instancedMetrics[IMIndex].name + '</td>';
							rows += '<td class="text-center" style="background-color: white;">';
							rows += '<a class="btn btn-info  btn-sm" href="qualityModelInstancedMetricShowPage?id='
									+ methodRow.instancedMetrics[IMIndex].id
									+ '"><span class="glyphicon glyphicon-eye-open"></span>View</a> ';

							rows += '</td>';
							rows += '</tr>';

						}

					}

				}

			}

		}
		tableIM.append(rows);

	}

	// **********************************************************************//
	// Execute
	// *********************************************************************//

	// Carga la tabla con las metricas instanciadas en la pagina de selecionar
	// las metricas instanciadas a ejecutar
	// dimensionsJson: lita de dimemensiones que tienen las metricas
	// instanciadas
	// agupadas por metodos, metricas, factores y dimensiones
	this.executeInstanceMetricsLoadTable = function(dimensionsJson, contextPath) {
		var tableIM = $('#tableIMBody');
		var dimensions = JSON.parse(dimensionsJson.dimensions);

		var rows = "";
		for (var dimensionIndex = 0; dimensionIndex < dimensions.length; ++dimensionIndex) {

			var dimensionRow = dimensions[dimensionIndex];
			// Creo la celda de dimension con la cantidad de filas igual a la
			// cantidad de metricas instanciadas que tiene la dimension
			var countFilas = this.cantidadDeFilas(dimensionRow, "dimension", 0);
			rows += '<tr id="dimension"><td rowspan=' + countFilas
					+ ' style="vertical-align: inherit; background-color: white;">' + dimensionRow.name + '</td>';

			for (var factorIndex = 0; factorIndex < dimensionRow.factors.length; ++factorIndex) {

				var factorRow = dimensionRow.factors[factorIndex];
				// Creo la celda del factor con la cantidad de filas igual a la
				// cantidad de MI que tiene el factor
				rows += '<td rowspan=' + this.cantidadDeFilas(factorRow, 'factor', 0)
						+ ' style="vertical-align: inherit; background-color: white;">' + factorRow.name + '</td>';

				for (var metricsIndex = 0; metricsIndex < factorRow.metrics.length; ++metricsIndex) {

					var metricRow = factorRow.metrics[metricsIndex];
					// Creo la celda de la metrica con la cantidad de filas
					// igual a
					// la cantidad de MI que tiene la metrica
					rows += '<td rowspan=' + this.cantidadDeFilas(metricRow, 'metric', 0)
							+ ' style="vertical-align: inherit; background-color: white;">' + metricRow.name + '</td>';

					for (var methodsIndex = 0; methodsIndex < metricRow.methods.length; ++methodsIndex) {

						var methodRow = metricRow.methods[methodsIndex];
						// Creo la celda del metodos con la cantidad de filas
						// igual a la cantidad de MI que tiene el metodo
						rows += '<td  rowspan=' + this.cantidadDeFilas(methodRow, 'method', 0)
								+ ' style="vertical-align: inherit; background-color: white;">' + methodRow.name
								+ '</td>';

						for (var IMIndex = 0; IMIndex < methodRow.instancedMetrics.length; ++IMIndex) {
							rows += '<td style="vertical-align: inherit; background-color: white;">'
									+ methodRow.instancedMetrics[IMIndex].name + '</td>';
							rows += '<td class="text-center" style="background-color: white;">';
							rows += '<input id="chkInstancedMetric' + methodRow.instancedMetrics[IMIndex].id
									+ '" type="checkbox" name="instancedMetricsIds" value="'
									+ methodRow.instancedMetrics[IMIndex].id + '" />';

							rows += '</td>';

							// Informacion del metodo
							rows += '<td style="vertical-align: inherit; background-color: white;">';
							rows += '<div class="row form-actions col-md-12" align="center" onclick="UsersRequestsHandler.showInfoInstancedMetrics('
									+ methodRow.id + ', \'' + methodRow.instancedMetrics[IMIndex].name + '\')">';

							rows += '<span class="glyphicon glyphicon-info-sign"></span>';
							rows += '</div>';
							rows += '</td>';
							rows += '</tr>';

						}

					}

				}

			}

		}
		tableIM.append(rows);

	}

	this.showInfoInstancedMetrics = function(data, instancedMetricName) {
		$(".modal-header #divTitle").text("Instanced Metric: " + instancedMetricName);

		$(".modal-body #divMetricsName").text(data.metrics.name);
		$(".modal-body #divMetricsDescription").text(data.metrics.description);
		$(".modal-body #divMetricsGranularity").text(data.metrics.granularity);

		$(".modal-body #divMethodName").text(data.method.name);
		$(".modal-body #divMethodDescription").text(data.method.description);
		$(".modal-body #divUrl").text(data.webService.url);
		$(".modal-body #divOperation").text(data.method.operation.name);

		$('#modalInfoInstancedMetrics').modal();
	}
};

