//import static org.junit.Assert.*;
//
//import java.util.ArrayList;
//
//import org.hibernate.mapping.List;
//import org.junit.Test;
//
//import com.eviware.soapui.support.components.MetricsPanel.Metric;
//import com.kiuplus.configuration.logic.service.DimensionsService;
//import com.kiuplus.configuration.logic.service.DimensionsServiceImpl;
//import com.kiuplus.configuration.logic.service.FactorsService;
//import com.kiuplus.configuration.logic.service.FactorsServiceImpl;
//import com.kiuplus.configuration.logic.service.MethodsService;
//import com.kiuplus.configuration.logic.service.MethodsServiceImpl;
//import com.kiuplus.configuration.logic.service.MetricsService;
//import com.kiuplus.configuration.logic.service.MetricsServiceImpl;
//import com.kiuplus.logic.exception.ExceptionKiuPlus;
//import com.kiuplus.logic.model.Attribute;
//import com.kiuplus.logic.model.AttributeColumn;
//import com.kiuplus.logic.model.AttributeDatabase;
//import com.kiuplus.logic.model.AttributeTable;
//import com.kiuplus.logic.model.DataModel;
//import com.kiuplus.logic.model.AttributeDatabase;
//import com.kiuplus.logic.model.AttributeDatabase.EnumDatabaseSystem;
//import com.kiuplus.logic.model.Dimension;
//import com.kiuplus.logic.model.Factor;
//import com.kiuplus.logic.model.InstancedMetric;
//import com.kiuplus.logic.model.Method;
//import com.kiuplus.logic.model.Metrics;
//import com.kiuplus.logic.model.ParameterAttribute;
//import com.kiuplus.logic.model.WebService;
//import com.kiuplus.logic.model.Metrics.EnumGranularity;
//import com.kiuplus.logic.model.Operation;
//import com.kiuplus.logic.model.Parameter;
//import com.kiuplus.qualityModel.logic.service.DataModelsService;
//import com.kiuplus.qualityModel.logic.service.DataModelsServiceImpl;
//import com.kiuplus.qualityModel.logic.service.InstancedMetricsService;
//import com.kiuplus.qualityModel.logic.service.InstancedMetricsServiceImpl;
//
//public class testConfiguration {

//	@Test
//	public void test() {
//		try {
//			int i = 0;
//			// ------------------------------------------------------//
//			// DIMENSIONES
//			// ------------------------------------------------------//
//			DimensionsService dimensionsService = new DimensionsServiceImpl();
//			Dimension dimension = new Dimension(0, "Dimension" + i);
//			dimensionsService.dimensionCreate(dimension);
//
//			// ------------------------------------------------------//
//			// FACTORES
//			// ------------------------------------------------------//
//			FactorsService factorsService = new FactorsServiceImpl();
//			Factor factor = new Factor(0, "Factor" + i);
//			factor.setDimension(dimension);
//			factorsService.factorCreate(factor);
//
//			// ------------------------------------------------------//
//			// METRICAS
//			// ------------------------------------------------------//
//			MetricsService metricsService = new MetricsServiceImpl();
//			Metrics metrics = new Metrics(0, "Metrics" + i, EnumGranularity.Column);
//			metrics.setFactor(factor);
//			metricsService.metricsCreate(metrics);
//
//			// ------------------------------------------------------//
//			// METODOS
//			// ------------------------------------------------------//
//			MethodsService methodsService = new MethodsServiceImpl();
//			Method method = new Method(0, "Method" + i, metrics);
//
//			// PARAMETERS
//			ParameterAttribute parameter = new ParameterAttribute(0, "ParameterAttribute" + i, "int");
//			ArrayList<Parameter> parameters = new ArrayList<Parameter>();
//			parameters.add(parameter);
//
//			// OPERATION
//			Operation operation = new Operation(0, "Operation" + i, "int", false);
//			operation.setParameters(parameters);
//			ArrayList<Operation> operations = new ArrayList<Operation>();
//			operations.add(operation);
//
//			// WEB SERVICE
//			WebService webService = new WebService(0, "url");
//			webService.setOperations(operations);
//			operation.setWebService(webService);
//			method.setOperation(operation);
//			methodsService.methodCreate(method);
//
//		} catch (ExceptionKiuPlus e) {
//			e.printStackTrace();
//			fail(e.getMessage());
//		} catch (Exception e) {
//			e.printStackTrace();
//			fail(e.getMessage());
//		}
//	}
//
//	@Test
//	public void testDataModel() {
//		int i = 0;
//		try {
//			// ------------------------------------------------------//
//			// Data Model
//			// ------------------------------------------------------//
//
//			AttributeDatabase database = new AttributeDatabase("Database1", "urlDB", "user1", "pass1", EnumDatabaseSystem.MySQL);
//			DataModel dataModel = new DataModel();
//			dataModel.setName("DataModel" + i);
//			dataModel.setDatabaseSource(database);
//			DataModelsService dataModelService = new DataModelsServiceImpl();
//			dataModelService.dataModelCreate(dataModel);
//		} catch (ExceptionKiuPlus e) {
//			e.printStackTrace();
//			fail(e.getMessage());
//		} catch (Exception e) {
//			e.printStackTrace();
//			fail(e.getMessage());
//		}
//	}
//
//	@Test
//	public void testInstancedMetric() {
//		int i = 3;
//		try {
//			MethodsService methodsService = new MethodsServiceImpl();
//			Method method = methodsService.methodFindFullById(147);
//
//			DataModelsService dataModelService = new DataModelsServiceImpl();
//			DataModel dataModel = dataModelService.dataModelGet(12);
//
//			InstancedMetric instancedMetric = new InstancedMetric(0, "InstancedMetric" + i, dataModel, method);
//
//			ArrayList<Attribute> attributes = new ArrayList<Attribute>();
//			AttributeDatabase attributeDatabase = new AttributeDatabase(0, "attributeDatabase" + i, null,
//					dataModel.getDatabaseSource());
//			AttributeTable attributeTable = new AttributeTable(0, "attributeTable" + i, null, attributeDatabase);
//			ParameterAttribute parameter = (ParameterAttribute) method.getOperation().getParameters().get(0);
//			attributes.add(new AttributeColumn(0, "attributeColumn" + i, instancedMetric, "String", parameter,
//					attributeTable));
//
//			instancedMetric.setAttributes(attributes);
//
//			InstancedMetricsService instanceMetricsService = new InstancedMetricsServiceImpl();
//			instanceMetricsService.instancedMetricCreate(instancedMetric);
//
//		} catch (ExceptionKiuPlus e) {
//			e.printStackTrace();
//			fail(e.getMessage());
//		} catch (Exception e) {
//			e.printStackTrace();
//			fail(e.getMessage());
//		}
//	}
//
//	@Test
//	public void testInstancedMetricsDelete() {
//		InstancedMetricsService instanceMetricsService = new InstancedMetricsServiceImpl();
//		try {
//			instanceMetricsService.instancedMetricDelete(33);
//		} catch (ExceptionKiuPlus e) {
//
//			e.printStackTrace();
//		}catch (Exception e) {
//
//			e.printStackTrace();
//		}
//	}
////
//	@Test
//	public void testDelete() {
//
//		DimensionsService dimensionsService = new DimensionsServiceImpl();
//		FactorsService factorsService = new FactorsServiceImpl();
//		MethodsService methodsService = new MethodsServiceImpl();
//		MetricsService metricsService = new MetricsServiceImpl();
//		try {
//
//			for (Factor factor : factorsService.factorsGetAll(44)) {
//				for (Metrics metric : factor.getMetrics()) {
//
//					for (Method method : methodsService.methodsGetAll(metric.getId())) {
//						methodsService.methodDelete(method.getId());
//					}
//					metricsService.metricsDelete(metric.getId());
//				}
//				factorsService.factorDelete(factor.getId());
//			}
//
//			dimensionsService.deleteDimension(44);
//			assertEquals(0, 0);
//		} catch (ExceptionKiuPlus e) {
//
//			e.printStackTrace();
//			fail(e.getMessage());
//		} catch (Exception e) {
//
//			e.printStackTrace();
//			fail(e.getMessage());
//		}
//	}
//
//}
